<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PasswordsetRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            //
            'id'=>'required',
            'type'=>'required',
            'sro_number'=>'required_if:type,2',
            'mobile'=>'required_if:type,1',
            'password'=>'required|min:6|string|confirmed'
        ];
    }
}
