<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class SendResetPasswordOtp extends Mailable
{
    use Queueable, SerializesModels;
    public $name;
    public $token;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($name,$token)
    {
        $this->name = $name;
        $this->token = $token;
        $this->subject = "[Placementship] OTP for Verification";
    }

    /**
     * Build the message.
     *
     * @return $this
     */

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->view('passwords.reset-password-otp');
    }
}
